For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.

List Eval Graders

List the graders in this project, newest first. Pass a grader name to Create Eval Run to score a dataset with it.

List the graders in this project, newest first. Pass a grader name to Create Eval Run to score a dataset with it.

gethttps://statsigapi.net/console/v1/eval_graders

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List Eval Graders Success
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
idstringrequired
namestringrequired
typestringrequired

Grader type: label_model, string_check, text_similarity, python, completion_tokens, completion_latency, or logged_score.

isGlobalbooleanrequired
promptoneOfrequired
Constraints:objectobjectobjectobjectobjectobjectobjectobject
typestringrequired
Allowed values:label_modelstring_checktext_similaritypythonprogrammatic_gradercompletion_tokenscompletion_latencylogged_score
contentstring
operationstring
Allowed values:eqnelikeilike
columnstring
evaluation_metricstring
Allowed values:fuzzy_matchbleugleumeteorrouge_1rouge_2rouge_3rouge_4rouge_5rouge_lcosine
sourcestring
choiceScoresobjectrequired
Constraints:nullable
createdTimenumberrequired
Constraints:format: double
lastModifiedTimenumberrequired
Constraints:format: double
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
403· Forbidden. The request was valid, but the server is refusing action. You might not have the necessary permissions to access the resource.
statusintegerrequired
Allowed values:403
messagestringrequired

Was this helpful?